Page 1 of 1

Pi 4 | raspbain lite Buster | kodi

Posted: Wed Jul 03, 2019 10:23 am
by RaTTuS
I've
sudo apt update && sudo apt dist-upgrade -y
sudo apt install kodi
Reading package lists... Done
Building dependency tree
Reading state information... Done
kodi is already the newest version (2:17.6+dfsg1-4+b1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

kodi
ERROR: Unable to create GUI. Exiting
Segmentation fault (core dumped)
Crash report available at /home/dave/kodi_crashlog-20190703_110505.log
http://paste.debian.net/1090136/

has anyone got any suggestions

Re: Pi 4 | raspbain lite Buster | kodi

Posted: Wed Jul 03, 2019 10:46 am
by fruitoftheloom
RaTTuS wrote:
Wed Jul 03, 2019 10:23 am
I've
sudo apt update && sudo apt dist-upgrade -y
sudo apt install kodi
Reading package lists... Done
Building dependency tree
Reading state information... Done
kodi is already the newest version (2:17.6+dfsg1-4+b1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

kodi
ERROR: Unable to create GUI. Exiting
Segmentation fault (core dumped)
Crash report available at /home/dave/kodi_crashlog-20190703_110505.log
http://paste.debian.net/1090136/

has anyone got any suggestions

The version of Kodi in Buster is out of date and not optimised, therefore it is not worth pursuing a fix IMO.

Just use LibreElec instead is advisable....

Re: Pi 4 | raspbain lite Buster | kodi

Posted: Wed Jul 03, 2019 10:53 am
by RaTTuS
kk I'll redo a new install

Re: Pi 4 | raspbain lite Buster | kodi

Posted: Wed Jul 03, 2019 11:59 am
by fruitoftheloom
RaTTuS wrote:
Wed Jul 03, 2019 10:53 am
kk I'll redo a new install

Found the relevant post here:

https://www.raspberrypi.org/forums/view ... 5#p1488386

Re: Pi 4 | raspbain lite Buster | kodi

Posted: Wed Jul 03, 2019 12:11 pm
by RaTTuS
yeah that works fine on a tosh 4k display

Re: Pi 4 | raspbain lite Buster | kodi

Posted: Fri Jul 05, 2019 9:06 pm
by madjo1983
Same trouble on B+ model with Buster Raspian Release:
https://www.raspberrypi.org/forums/view ... 8&t=244550

I guess that the issue is from 17.6 version of Kodi on Raspian Buster rather than Raspberry Model...

Re: Pi 4 | raspbain lite Buster | kodi

Posted: Sun Jul 07, 2019 6:32 am
by thatchunkylad198966
Do you have xorg and xinit installed?
I'm running Raspbian Buster Lite and have Kodi working fine. starts up without any issue.
I'm using the i3 window manager.

Re: Pi 4 | raspbain lite Buster | kodi

Posted: Sun Jul 07, 2019 8:24 am
by madjo1983
Oh, did not know this tip. I reinstalled Raspian but the stretch version and reused what I did on my previous raspberry...
Will try next time ;-)

Re: Pi 4 | raspbain lite Buster | kodi

Posted: Tue Jul 09, 2019 1:33 pm
by jachaney
I installed buster on my new Pi 4 to use as my new workstation. When I installed Eclipse, I ran into a familliar problem. The 3.8 version of Eclipse that downloads with apt, crashes with the newer version of Java. I am blaming Oracle for this, because they have been adjusting things that should have been left alone. The download site needs a refresh to a newer version of Eclipse, built against the current version of Java.

Re: Pi 4 | raspbain lite Buster | kodi

Posted: Tue Jul 09, 2019 1:44 pm
by jamesh
jachaney wrote:
Tue Jul 09, 2019 1:33 pm
I installed buster on my new Pi 4 to use as my new workstation. When I installed Eclipse, I ran into a familliar problem. The 3.8 version of Eclipse that downloads with apt, crashes with the newer version of Java. I am blaming Oracle for this, because they have been adjusting things that should have been left alone. The download site needs a refresh to a newer version of Eclipse, built against the current version of Java.
A new version of Eclipse on Pi is unlikely. Debian have all but given up on it because of the complexities of building it (I tried and failed) for non-x86 platforms. And we get most of our stuff from upstream Debian....

I'm currently liking VSCode, or Code::Blocks as alternatives.

Re: Pi 4 | raspbain lite Buster | kodi

Posted: Mon Sep 09, 2019 2:12 pm
by Pander